/* Recreate 'RexxAutoStart' objects. Build 31/03/01, 14:37:11.
 *
 * Generated by WPS Assistent Ver. 2.0a, WPTools Ver. 2.12
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* Set Creation Disposition */
CreateCollision = 'Update'
 
/* Script and icons have to reside in this directory */
BaseDir=strip(Directory(),'T','\')
 
Call CreateObjects
Call InstallSounds
ok = SysSetObjectData('<RexxAutoStart_Setup>','OPEN=DEFAULT;')
ok = SysOpenObject("<WP_SOUND>","DEFAULT",1)
'view RxAutoSt.INF Installation'
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

  rc = CreateObject( 'WPFolder',,
      'RexxAutoStart',,
      '<WP_APPSFOLDER>',,
          'ICONVIEW=NONGRID,NORMAL;'||,
          'TREEVIEW=LINES,VISIBLE,MINI;'||,
          'DEFAULTSORT=-2;'||,
          'ALWAYSSORT=YES;'||,
          'TITLE=RexxAutoStart;'||,
          'ICONVIEWPOS=14,78,80,20;'||,
          'NOPRINT=YES;'||,
          'HIDEBUTTON=DEFAULT;'||,
          'MINWIN=DEFAULT;'||,
          'CCVIEW=DEFAULT;'||,
          'DEFAULTVIEW=DEFAULT;'||,
          'OBJECTID=<RexxAutoStart_Folder>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'RexxAutoStart^Setup',,
      '<RexxAutoStart_Folder>',,
          'EXENAME='BaseDir'\RXAUTOUT.EXE;'||,
          'STARTUPDIR='BaseDir'\;'||,
          'PROGTYPE=PM;'||,
          'TITLE=RexxAutoStart^Setup;'||,
          'NOPRINT=YES;'||,
          'HIDEBUTTON=DEFAULT;'||,
          'MINWIN=DEFAULT;'||,
          'CCVIEW=DEFAULT;'||,
          'DEFAULTVIEW=DEFAULT;'||,
          'OBJECTID=<RexxAutoStart_Setup>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'RexxAutoStart^Information',,
      '<RexxAutoStart_Folder>',,
          'EXENAME=VIEW.EXE;'||,
          'PROGTYPE=PM;'||,
          'PARAMETERS='BaseDir'\rxautost.inf;'||,
          'TITLE=RexxAutoStart^Information;'||,
          'NOPRINT=YES;'||,
          'HIDEBUTTON=DEFAULT;'||,
          'MINWIN=DEFAULT;'||,
          'CCVIEW=NO;'||,
          'DEFAULTVIEW=DEFAULT;'||,
          'OBJECTID=<RexxAutoStart_Manual>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'RexxAutoStart^Log File',,
      '<RexxAutoStart_Folder>',,
          'EXENAME=E.EXE;'||,
          'PROGTYPE=PM;'||,
          'PARAMETERS='BaseDir'\rxautost.log;'||,
          'TITLE=RexxAutoStart^Log File;'||,
          'NOPRINT=YES;'||,
          'HIDEBUTTON=DEFAULT;'||,
          'MINWIN=DEFAULT;'||,
          'CCVIEW=NO;'||,
          'DEFAULTVIEW=DEFAULT;'||,
          'OBJECTID=<RexxAutoStart_Logfile>',,
      CreateCollision )

return

InstallSounds:
    /* This routine is loosely based on Ulrich Mller's sound001.cmd */

    /* enable new RexxAutoStart system sound */
    MMINI = SysBootDrive()||"\MMOS2\MMPM.INI"

    /* these are the titles of the sounds to be created */
    RexxAutoStart_Done  = "RexxAutoStart: Done" 
    RexxAutoStart_Open  = "RexxAutoStart: Open object" 
    RexxAutoStart_Abort = "RexxAutoStart: Abort"

    /* Create empty sound entries */
    rc = SysINI(MMINI, "MMPM2_AlarmSounds", "681", BaseDir||"\Sounds\Ready.WAV#"||RexxAutoStart_Done||"#100")    
    rc = SysINI(MMINI, "MMPM2_AlarmSounds", "682", BaseDir||"\Sounds\Error.WAV#"||RexxAutoStart_Abort||"#100")   
    rc = SysINI(MMINI, "MMPM2_AlarmSounds", "683", BaseDir||"\Sounds\Open.WAV#"||RexxAutoStart_Open||"#100")

Return
